<!DOCTYPE html>
<html lang="en">

<head>
    <link rel="stylesheet" href="css/styles.css">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>GNSS Robot Controller</title>
    <script src="https://www.gstatic.com/firebasejs/5.5.8/firebase.js"></script>
    <script src="js/fireInit.js"></script>
    <script src="https://cdn.firebase.com/libs/firebaseui/3.4.1/firebaseui.js"></script>
    <script src="js/fireAuth.js"></script>
    <link type="text/css" rel="stylesheet" href="https://cdn.firebase.com/libs/firebaseui/3.4.1/firebaseui.css" />
    <script type="text/javascript" src="js/fireConf.js"></script>
    <script src="./js/handlebars-v4.0.12.js"></script>
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.3.4/dist/leaflet.css" integrity="sha512-puBpdR0798OZvTTbP4A8Ix/l+A4dHDD0DGqYW6RQ+9jxkRFclaxxQb/SJAWZfWAkuyeQUytO7+7N4QKrDh+drA=="
        crossorigin="" />
    <script src="https://unpkg.com/leaflet@1.3.4/dist/leaflet.js" integrity="sha512-nMMmRyTVoLYqjP9hrbed9S+FzjZHW5gY1TWCHA5ckwXZBadntCNs8kEqAWdrb9O7rxbCaA4lKTIWjDXZxflOcA=="
        crossorigin=""></script>
    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">

    <!-- jQuery library -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>

    <!-- Popper JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>

    <!-- Load Mapbox -->
    <script src='https://api.tiles.mapbox.com/mapbox-gl-js/v0.51.0/mapbox-gl.js'></script>
    <link href='https://api.tiles.mapbox.com/mapbox-gl-js/v0.51.0/mapbox-gl.css' rel='stylesheet' />


        <!-- Load Esri Leaflet from CDN -->
        <script src="https://unpkg.com/esri-leaflet@2.2.3/dist/esri-leaflet.js"
        integrity="sha512-YZ6b5bXRVwipfqul5krehD9qlbJzc6KOGXYsDjU9HHXW2gK57xmWl2gU6nAegiErAqFXhygKIsWPKbjLPXVb2g=="
        crossorigin=""></script>
</head>

<body>

    <div id="main">

        <div id="mySidenav" class="sidenav">
            <a href="javascript:void(0)" class="closebtn" onclick="closeNav()">&times;</a>
            <ul id="countries"></ul>
        </div>

        <div id="myToolnav" class="sidenav">
            <a class="closebtn" onclick="closeToolnav()">&times;</a>

            <div id="map-buttons" class="tool">
                <h3 id="mapStyle"></h3>

                <div id="basemaps-wrapper" class="leaflet-bar">
                    <select name="basemaps" id="basemaps" onChange="changeBasemap(basemaps)">
                      <option value="Topographic">Topographic</option>
                      <option value="Streets">Streets</option>
                      <option value="NationalGeographic">National Geographic</option>
                      <option value="Oceans">Oceans</option>
                      <option value="Gray">Gray</option>
                      <option value="DarkGray">Dark Gray</option>
                      <option value="Imagery">Imagery</option>
                      <option value="ImageryClarity">Imagery (Clarity)</option>
                      <option value="ImageryFirefly">Imagery (Firefly)</option>
                      <option value="ShadedRelief">Shaded Relief</option>
                      <option value="Physical">Physical</option>
                    </select>
                  </div>

            </div>

            <div id="robot-list-tools" class="tool">
                <h3 id="selectRobot"></h3>
                <!-- <ul id="robot-list"></ul> -->
                <select name="robot" id="robot-select">
                    <option id="noSelection" value=""></option>
                </select>
                <button id="unselectRobot"></button>

                <h4>Names</h4>
                <div class="onoffswitch">
                    <input type="checkbox" name="onoffswitch" class="onoffswitch-checkbox" id="robotNames" checked>
                    <label class="onoffswitch-label" for="robotNames">
                        <span class="onoffswitch-inner"></span>
                        <span class="onoffswitch-switch"></span>
                    </label>
                </div>

                <h4>Locked View</h4>
                <div class="onoffswitch">
                    <input type="checkbox" name="onoffswitch" class="onoffswitch-checkbox" id="lockView">
                    <label class="onoffswitch-label" for="lockView">
                        <span class="onoffswitch-inner"></span>
                        <span class="onoffswitch-switch"></span>
                    </label>
                </div>
                <!-- <h3>Show All</h3>
                <label class="switch">
                    <input id="allRobotLoc" type="checkbox">
                    <span class="slider round"></span>
                  </label> -->
            </div>

            <div id="robotControl" class="tool">
                <h3 id="robotHeader"></h3>
                <div class="onoffswitch">
                    <input type="checkbox" name="onoffswitch" class="onoffswitch-checkbox" id="robotIgnite">
                    <label class="onoffswitch-label" for="robotIgnite">
                        <span class="onoffswitch-inner"></span>
                        <span class="onoffswitch-switch"></span>
                    </label>
                </div>
                <button id=pausePlay>►/❚❚</button>
            </div>

            <div class="tool">
                <h3>PocRunner Locations</h3>
                <div class="onoffswitch">
                    <input type="checkbox" name="onoffswitch" class="onoffswitch-checkbox" id="pocrunnerCheck">
                    <label class="onoffswitch-label" for="pocrunnerCheck">
                        <span class="onoffswitch-inner"></span>
                        <span class="onoffswitch-switch"></span>
                    </label>
                </div>
            </div>

            <!-- <div id="wp-control" class="tool">
                <p id="waypoints" class="wd"></p>
                <button id="wpClear" class="wd"></button>
                <button id="wpPush" class="wd"></button>
            </div> -->
        </div>

        <div id="navbar">
            <div id="navbar-content">
                <a id="sideOpen" class="navb">🌐</a>
                <a id="map" class="navb"></a>
                <a id="about" class="navb"></a>
                <a id=team class="navb"></a>
                <a id="logout" class="navb"></a>
                <a id="emergencyButton" class="navb"></a>

            </div>
        </div>

        <div id="main-content">



            <div id="map-page">
                <div id="map-data">
                    <div id="map-tools">
                        <a id="robotSelect" class="tool"></a>
                        <h4 id="robot-name" class="robot-info" onclick="zoomToRobot(selectedRobot, 17)"></h4>
                        <p id="robot-raw1" class="robot-info"></p>
                        <p id="robot-raw2" class="robot-info"></p>
                    </div>
                </div>
                <div id="mapid"></div>

            </div>

            <div id="about-page">
                <img id="gif" src="img/acid.gif" alt="">
            </div>


            <div id="team-page">
                <img src="https://media0.giphy.com/media/tczJoRU7XwBS8/giphy.gif?cid=3640f6095c1c8ab67533567a417ad11a"
                    alt="">
            </div>

        </div>


    </div>

    </div>




    <div id="login-page">
        <img id="aokilab" src="img/aokilabproject.png" alt="aokilab">
        <div id="firebaseui-auth-container"></div>
    </div>



    <script src="js/localization.js"></script>
    <script src="js/map-page.js"></script>
    <script src="js/signed.js"></script>
    <script src="js/navbar.js"></script>
    <script src="js/toolbar.js"></script>
</body>

</html>